"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cliPluginError = exports.HelpMeta = exports.Inquirer = exports.CommanderOptions = exports.Commander = exports.MessageMeta = exports.DefaultMeta = exports.ChoicesMeta = exports.WhenMeta = exports.TransformMeta = exports.ValidateMeta = exports.QuestionMeta = exports.QuestionSetMeta = exports.OptionChoiceMeta = exports.OptionMeta = exports.RootCommandMeta = exports.SubCommandMeta = exports.CommandMeta = void 0;
const metaKeyBuilder = (suffix) => {
    return `CommandBuilder:${suffix}`;
};
const questionMetaBuilder = (suffix) => {
    return metaKeyBuilder(`Question:${suffix}`);
};
exports.CommandMeta = metaKeyBuilder('Command:Meta');
exports.SubCommandMeta = metaKeyBuilder('Subcommand:Meta');
exports.RootCommandMeta = metaKeyBuilder('RootCommand:Meta');
exports.OptionMeta = metaKeyBuilder('Option:Meta');
exports.OptionChoiceMeta = metaKeyBuilder('OptionChoice:Meta');
exports.QuestionSetMeta = metaKeyBuilder('QuestionSet:Meta');
exports.QuestionMeta = questionMetaBuilder('Meta');
exports.ValidateMeta = questionMetaBuilder('Validate');
exports.TransformMeta = questionMetaBuilder('Transform');
exports.WhenMeta = questionMetaBuilder('When');
exports.ChoicesMeta = questionMetaBuilder('Choices');
exports.DefaultMeta = questionMetaBuilder('Default');
exports.MessageMeta = questionMetaBuilder('Message');
exports.Commander = Symbol('Commander');
exports.CommanderOptions = Symbol('CommanderOptions');
exports.Inquirer = Symbol('Inquirer');
exports.HelpMeta = metaKeyBuilder('Command:Help');
const cliPluginError = (cliName = 'nest-commander', pluginsAvailable = true) => {
    return pluginsAvailable
        ? ''
        : `${cliName} is expecting a configuration file, but didn't find one. Are you in the right directory?`;
};
exports.cliPluginError = cliPluginError;
//# sourceMappingURL=constants.js.map